#!/bin/bash

if [ -e "revision.inc" ]; then
    oldrev=$(cat revision.inc)
else
    oldrev=""
fi

if [ -d ".git" ]; then
    rev=$(git rev-parse --short HEAD)
    git update-index -q --refresh
    test -z "$(git diff-index --name-only HEAD --)" || rev="$rev-mod"
else
    rev=$(cat VERSION)
fi

rev="character(len=11), parameter :: revision = '$rev'"
if [ "$rev" != "$oldrev" ]; then
    echo "$rev" > revision.inc
fi
